Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Timesheet
  • Employee
    • Get Employee
      GET
    • Update Employee
      PUT
    • Get List Employees
      GET
    • Get Employees List
      GET
    • Get Mastertypes List
      GET
    • Get Name Prefixes
      GET
    • Get Document Types
      GET
    • Update Employee
      POST
    • Add Employee Attachment
      POST
    • Update Employee Address
      POST
    • Update Employee Family
      POST
    • Update Employee Information
      POST
    • Update Employee Contact
      POST
    • Update Employee Education
      POST
    • Update Employee Experience
      POST
    • Update Employee CustomField
      POST
    • Delete Employee
      POST
    • Get Employee Role
      GET
    • Get Employee Movement Lists
      GET
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
  • Shifts
    • Get Shift Details
      GET
    • Update Employee Shifts
      POST
    • Get Employee Shifts
      GET
    • Swap Employee Shifts
      POST
  • Authentication API
    • Authorization
  • Leave
    • Get Employee Documents
  • Payroll
    • Create Loan
    • Get Loan (Draft)
    • Get Cost Center
    • Get Financial Transactions
    • Update Financial Transactions
  • Attendance
    • Get Time Attendance
    • Get Time Attendances Lite
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Time
    • Workin
    • Get Employee WorkIn Site
    • Get Timestamps
    • Get TimeStamp Attachments
    • Get Workin Sites
    • Get IOMO Logs
    • Add Timestamps
  • AppMan
    • Update status criminal checker
    • Send Email Notification when completed
  • Asset
    • Get Asset list
    • Update Asset
    • Get Employee Assets
  • Recruitment
    • Get Candidate
    • Get Recruitment หน้าหลัก
  • Goals
    • Update KPI
  • Learn
    • GetCourse
  • Praise
    • GetEmployeePraisesByEmployeeNoAsync
    • GetPraiseTypesAsync
    • CreatePraiseRewardManagerAsync
  • Achievement
    • GetEmployeeAchievementsByEmployeeNoAsync
    • CreateAchievementCardAsync
    • CreateAchievementAwardDocumentAsync
  • Timesheet
    • SearchProjects
      POST
    • SearchTasks
      POST
    • AddTimeSheetEntry
      POST
  1. Timesheet

AddTimeSheetEntry

Developing
POST
https://api-bff-dev.empeo.com/api/v1/timesheets/entries

Request

Header Params

Body Params application/jsonRequired

Example
{
    "projectCode": "TESTOPENAPI",
    "taskId": "311",
    "employeeCode": "00001",
    "date": "2026-03-30",
    "time": "02:30",
    "description": "Implement API integration for customer sync"
  }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-bff-dev.empeo.com/api/v1/timesheets/entries' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkIwN0I2RTQ3QTU1MzkxOTdDQ0Y2NzlDNTVEODFFNDQ1RTE2NUQ2QkVSUzI1NiIsInR5cCI6ImF0K2p3dCIsIng1dCI6InNIdHVSNlZUa1pmTTlubkZYWUhrUmVGbDFyNCJ9.eyJuYmYiOjE3NzQ4NjExMDUsImV4cCI6MTc3NDg2NDcwNSwiaXNzIjoiaHR0cHM6Ly9sb2dpbi1kZXYuZ29maXZlLmNvLnRoIiwiYXVkIjpbIkdPRklWRS5BUEkiLCJJTUMuQVBJIiwiVmVuaW8yLkFQSSJdLCJjbGllbnRfaWQiOiIxM2Q3MDBiMS00ZTFjLTRhY2QtOTRhMy04NmM3MDI2NDBhYWMiLCJlbXBlb191c2VyX2lkIjoiZjQ3Yzc1MmMtOTBkOS00YjJhLThiNWUtZWQ2ZjMxODEzZDA3Iiwic3ViIjoiZjQ3Yzc1MmMtOTBkOS00YjJhLThiNWUtZWQ2ZjMxODEzZDA3IiwianRpIjoiNUJGNzYwNTFDMUFEMDE3RUFFQUQyRDc3MTBFM0M4RDgiLCJzaWQiOiI5MEQ4OTZFMjJBOTM5RTM2OEJCRDI3Mjk0QjhDMTY3MCIsImlhdCI6MTc3NDg2MTEwNSwic2NvcGUiOlsiR09GSVZFLkFQSSIsIklNQy5BUEkiLCJWZW5pbzIuQVBJIl19.2zhU0G-clGl-4TvZyEwTlPI8aALIF5g5H3HidKFs5J5nf5nojBO_4Jtq433N6QV7c-Q4Ho6fXDvGGLILL3fq5x-jfGSr5QUPJwG0LIs-yAHQAM-VvETLwoWmIS9fV6jLDnPdZUC1bdrFPKDUXFRi09M6MXFlSbCfmviR5vCgRx-xtcl4sU8MTr22qXCkTzylE4wN1fv7Swod2FMNWvOkT4BaBYL6Z-01ebHq46T6MH28nvFwSO-Gq5rcpw5wDRP-8BXf0k7VEIOduKObsFBrH3n8WHqjw7w_2ixuiDCGcBbJrSmU7PTc-dCifiym7FfmPfzx3w01mrGofYLrOWj4nw' \
--header 'Ocp-Apim-Subscription-Key: <key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "projectCode": "TESTOPENAPI",
    "taskId": "311",
    "employeeCode": "00001",
    "date": "2026-03-30",
    "time": "02:30",
    "description": "Implement API integration for customer sync"
  }'

Responses

🟢200Success
application/json
Body

Example
{
  "status": {
    "code": "200",
    "description": "Timesheet entry has been created successfully"
  },
  "data": {
    "projectCode": "PJ-240001",
    "taskId": "TASK-1001",
    "employeeCode": "EMP00045",
    "date": "2026-03-30",
    "time": "02:30",
    "description": "Implement API integration for customer sync",
    "createdAt": "2026-03-30T10:15:23Z"
  }
}
🟠401User authentication required V2.
Modified at 2026-03-31 03:49:26
Previous
SearchTasks
Built with